Public Member Functions | Public Attributes | Private Member Functions | List of all members
WP1ContentParsingState Struct Reference

`#include <WP1ContentListener.h>`

## Public Member Functions
| WP1ContentParsingState ()
| ~WP1ContentParsingState ()

## Public Attributes
librevenge::RVNGString | m_textBuffer
int | m_numDeferredTabs
int | m_footNoteNumber
int | m_endNoteNumber

## Private Member Functions
| WP1ContentParsingState (const WP1ContentParsingState &)
WP1ContentParsingState & | operator= (const WP1ContentParsingState &)

## Constructor & Destructor Documentation

## ◆ WP1ContentParsingState() [1/2]

WP1ContentParsingState::WP1ContentParsingState | ( |  | ) |

## ◆ ~WP1ContentParsingState()

WP1ContentParsingState::~WP1ContentParsingState | ( |  | ) |

## ◆ WP1ContentParsingState() [2/2]

WP1ContentParsingState::WP1ContentParsingState | ( | const WP1ContentParsingState & |  | ) |
| private

## Member Function Documentation

## ◆ operator=()

WP1ContentParsingState& WP1ContentParsingState::operator= | ( | const WP1ContentParsingState & |  | ) |
| private

## Member Data Documentation

## ◆ m_endNoteNumber

int WP1ContentParsingState::m_endNoteNumber

## ◆ m_footNoteNumber

int WP1ContentParsingState::m_footNoteNumber

## ◆ m_numDeferredTabs

int WP1ContentParsingState::m_numDeferredTabs

## ◆ m_textBuffer

librevenge::RVNGString WP1ContentParsingState::m_textBuffer

The documentation for this struct was generated from the following files:

- WP1ContentListener.h
- WP1ContentListener.cpp